version: 1
services:
  main:
    image: woofbot/woofbot:v0.9.3@sha256:a56278e2c49c52da4ba218b67230c38ed73870875e74e71228a2181aa564076f
    stop_grace_period: 1m
    depends_on:
    - mongodb
    restart: on-failure
    environment:
      APP_BITCOIN_NODE_IP: $APP_BITCOIN_SERVICE_IP
      APP_BITCOIN_RPC_PASS: $BITCOIN_RPC_PASS
      APP_BITCOIN_RPC_PORT: $BITCOIN_RPC_PORT
      APP_BITCOIN_RPC_USER: $BITCOIN_RPC_USER
      APP_PASSWORD: {{derive_entropy(identifier="app_seed")}}
      APP_PORT: '8080'
      APP_SEED: {{derive_entropy(identifier="app_seed_2")}}
      MONGODB_URI: mongodb://${APP_WOOFBOT_MONGODB_IP}:27017/woofbot
    port: 8080
  mongodb:
    image: mongo:5.0.9@sha256:37e84d3dd30cdfb5472ec42b8a6b4dc6ca7cacd91ebcfa0410a54528bbc5fa6d
    user: 1000:1000
    stop_grace_period: 1m
    restart: on-failure
    mounts:
      data:
        data/db: /data/db
